<?php

require_once '../../incfiles/core.php';
require_once '../../incfiles/func.php';
require_once '../../incfiles/auth.php';
require_once '../../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
	if (!in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))) go(URL);
}
else go(URL);

$title = lang('Редактирование сообщества','Редагування спільноти');
require_once '../../incfiles/head.php';

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/adm/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Управление сообществом','Керування спільнотою').'</a>
	</div><div class="title">'.$title.'</div>';

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?

require_once '../handler/edit_group.php';

	echo '<form id="form" method="post" action="'.URL.'/groups/adm/edit_group.php?id='.$id.'">
	<div class="block">
	'.lang('Название','Назва').':
	<input class="input" type="text" name="name" value="'.$arr_group['name'].'">
	</div><div class="block">
	'.lang('Приветствие','Привітання').':
	<input class="input" type="text" name="status" value="'.$arr_group['status'].'">
	</div><div class="block">
	Веб-сайт:
	<input class="input" type="text" name="url" value="'.(empty($arr_group['url'])?'http://':$arr_group['url']).'">
	</div><div class="block">
	'.lang('Город','Місто').':<br/>
	<select class="input2" name="region">
	<option value="0"'. ($arr_group['region'] == 0?' selected="selected"':NULL) .'>'.lang('Выбрать','Вибрати').' обл.</option>';
	$res = mysql_query("SELECT * FROM `region` ORDER by `id`");
	while ($array = mysql_fetch_array($res))
	{
		echo '<option value="'.$array['id'].'"'. ($arr_group['region'] == $array['id']?' selected="selected"':NULL) .'>'.lang($array['ru_name'],$array['ua_name']).' обл.</option>';
	}
	echo '</select> <input class="input2" name="city" type="text" maxlength="50"  value="'.$arr_group['city'].'" placeholder="'.lang('Город','Місто').'"/>
	</div><div class="block">
	Тематика:<br/>
	<select class="input2" name="category">
	<option value="0"'. ($arr_group['category'] == 0?' selected="selected"':NULL) .'>'.lang('Выбрать','Вибрати').'</option>';
	$res = mysql_query("SELECT * FROM `groups_category` ORDER by `id`");
	while ($array = mysql_fetch_array($res))
	{
		echo '<option value="'.$array['id'].'"'. ($arr_group['category'] == $array['id']?' selected="selected"':NULL) .'>'.lang($array['ru_name'],$array['ua_name']).'</option>';
	}
	echo '</select>
	</div><div class="block">
	'.lang('О сообществе','Про спільноту').':
	<textarea id="textarea" class="input" name="about" rows="4">'.no_tags($arr_group['about']).'</textarea>
	</div><div class="block">
	<input class="button2" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</form>
	</div>';


require_once '../../incfiles/foot.php';

?>